List admin user invites for an account
const url = 'https://app.prefactorai.com/api/v1/admin_user_invite?account_id=013xrzp12g3nqk8ns6jadrqmpgrjkeny';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://app.prefactorai.com/api/v1/admin_user_invite?account_id=013xrzp12g3nqk8ns6jadrqmpgrjkeny' \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”A valid account ID
Example
013xrzp12g3nqk8ns6jadrqmpgrjkenyAccount ID (defaults to token’s account)
Sort order; a field name, optionally prefixed with - for descending (e.g. -id). Supported fields: id, email, status.
Sort order; a field name, optionally prefixed with - for descending (e.g. -id). Supported fields: id, email, status.
Zero-based offset of the first item to return.
Number of items to return per page (1-100).
Responses
Section titled “Responses”Success
object
Pagination information
object
The total number of items
The index of the last item in the page (one-based)
The index of the first item in the page (one-based)
The total number of pages
The index of the current page (one-based)
The offset of the first item in the page (zero-based)
The number of items per page
Null
object
A valid account ID
Email address the invite was sent to
A valid admin user invite ID
When the invite was created
URL to accept the invite
Access role the invited admin user will receive
Current status of the invite
Type of resource (always ‘admin_user_invite’)
When the invite was last updated
Example
{ "pagination": { "item_count": 200, "item_end": 100, "item_start": 91, "next_page_offset": 110, "page_count": 20, "page_index": 10, "page_offset": 90, "page_size": 10, "previous_page_offset": 80 }, "sorting": null, "status": "success", "summaries": [ { "account_id": "013xrzp12g3nqk8ns6jadrqmpgrjkeny", "email": "user@example.com", "id": "013xrzp12g3nqk8ns6jadrqmpgrjkeny", "inserted_at": "2024-01-01T00:00:00Z", "invite_url": "https://example.com", "last_invite_email_sent_at": "2024-01-01T00:00:00Z", "role": "read_only", "status": "pending", "type": "admin_user_invite", "updated_at": "2024-01-01T00:00:00Z" } ]}default
Section titled “default”Error
object
object
object
object
Milliseconds until the client may retry.
object
A valid knowledgebase document revision ID
Example
{ "code": "bad_request", "status": "error"}